Subject: Re: Question on originating intra-area prefix LSA

From: Acee Lindem <[email-masked]>
Date: Sat, 2 Aug 2003 10:13:05 -0400

Hi Sina,

I pretty much agree with you. What is interesting is that if RFC 2740
is followed to the letter, global prefixes with the LA or NU bit set
on a multi-access will be advertised in an intra-area-prefix
LSA as long as the network isn't a transit network. However, if
a neighbor comes up on the network they are not advertised by the DR.
You're suggesting to modify this behavior and advertise them irrespective
of whether or not there is a full neighbor (2-d) - correct?

Thanks,
Acee

Sina Mirtorabi wrote:
> Mike
>
> The text might be a bit confusing when you try to do a strict reading
> ;-)
> Here is what you would do in general
>
> 1) whenever there is a change to a link local prefix or global prefix
> you would re-originate a new link-LSA
> 2) whenever there is a change to a global prefix you would originate a
> new intra-area-prefix-lsa if either of the
>    the following is true
>
>    2-a) the link type ( I should say interface type connected to the
> link) is p2p /p2mp
>    2-b) link type is multi-access and there is no neighbor in state FULL
>    2-c) link type is multi-access and this router is DR for that link
>    2-d) independently of the link type the global prefix has a prefix
> options with LA or NU bit set
>
>
> In other words you would generate a new link-LSA for any prefix change
> on a link, and you would originate a new intra-area-prefix-lsa for any
> change to the global prefix only when you are supposed to announce this
> link's prefix in an intra-area-prefix-lsa ( 2-a or 2-b or 2-c or 2-d)
>
> The above means that on a p2p / p2mp link when there is a change to a
> prefix you would both re-originate a new link-lsa and a new
> intra-area-prefix-lsa however on a multi-access link ( with at least one
> FULL neighbor) a non-DR router would only re-originate its link-lsa.
> Upon reception of this new link-lsa the DR will update its
> intra-area-prefix-lsa when necessary.
>
>
> Now there could be an optimization when there is no neighbor on a link
> and you could suppress your link-lsa since there is no neighbor on that
> link.
>
> Thanks
> Sina
>
>
>
>
> ->-----Original Message-----
> ->From: Mailing List [mailto:[email-masked]] On
> ->Behalf Of Mike Fox
> ->Sent: Thursday, July 17, 2003 7:54 AM
> ->To: [email-masked]
> ->Subject: Question on originating intra-area prefix LSA
> ->
> ->
> ->When a prefix is added to or deleted from a p2p or p2mp link,
> ->when is the prefix change supposed to be advertised to the
> ->rest of the area in an intra-area prefix LSA?  There seems to
> ->be a hole in the RFC.
> ->
> -> RFC 2740 says, in 3.4.3:
> ->
> -> o    A new prefix is added to an attached link, or a prefix
> ->is deleted
> ->      (both through configuration). This causes the router to
> ->      reoriginate its link-LSA for the link, or, if it is the only
> ->      router attached to the link, causes the router to reoriginate an
> ->      intra-area-prefix-LSA.
> ->
> ->Some observations and questions.
> ->
> ->Is it really link LSA *or* intra-area prefix LSA?  I.e., never both?
> ->
> ->This paragraph also  implies that on p2p and p2mp links with
> ->active neighbors, no intra-area prefix LSA is sent when
> ->prefixes change, since the intra-area prefix LSA is only
> ->reoriginated when this is the ONLY router on
> ->the link.   The only other way I can see the prefix being
> ->advertised  for
> ->p2p and p2mp is that perhaps the neighbor should advertise
> ->the new prefix
> ->in an intra-area prefix LSA when it receives the link LSA.
> ->But the next
> ->paragraph says:
> ->
> ->o     A new link-LSA is received, causing the link's collection of
> ->      prefixes to change. If the router is Designated Router for the
> ->      link, it originates a new intra-area-prefix-LSA.
> ->
> ->Which implies only the DR for a multiaccess link should ever
> ->send a new intra-area prefix LSA upon receiving a link LSA,
> ->nothing about point to point or point to multipoint is
> ->mentioned.  Also, if the set of prefixes is changed on the
> ->designated router, according to strict reading of this
> ->paragraph then the network's intra-area prefix LSA would not
> ->get reoriginated since it's on receiving (not sending) a link
> ->LSA that the DR sends the new set.
> ->
> ->To me it boils down the phrase "if it is the only router
> ->attached to the link" in the first quoted paragraph above.
> ->If that phrase were replaced with "in all cases except when
> ->the link is to a broadcast or multiaccess network and this
> ->router is not the designated router" then it seems like all
> ->the cases would be covered.
> ->
> ->What am I missing here?  Am I just reading the text too strictly?
> ->
> ->Mike
> ->--------------------------------------------------------------
> ->---------
> ->Enterprise Network Solutions
> ->--------------------------------------------------------------
> ->---------
> ->Research Triangle Park, NC  USA
> ->
>

--
Acee

---

From: Sina Mirtorabi <[email-masked]>
Date: Sat, 2 Aug 2003 09:40:14 -0700

Hi Acee,

->-----Original Message-----
->From: Mailing List [mailto:[email-masked]] On
->Behalf Of Acee Lindem
->Sent: Saturday, August 02, 2003 7:13 AM
->To: [email-masked]
->Subject: Re: Question on originating intra-area prefix LSA
->
->
->Hi Sina,
->
->I pretty much agree with you. What is interesting is that if
->RFC 2740 is followed to the letter, global prefixes with the
->LA or NU bit set on a multi-access will be advertised in an
->intra-area-prefix LSA as long as the network isn't a transit
->network. However, if a neighbor comes up on the network they
->are not advertised by the DR. You're suggesting to modify
->this behavior and advertise them irrespective of whether or
->not there is a full neighbor (2-d) - correct?

No, what I meant to say is that intra-area-prefix-lsa will be generated
( from origintor) irrespectively of the link type because even on
multi-access with a DR, those LSA are still advertised (by the
originator). So I guess the word originator was missing. Since DR does
not advertise them in its intra-area-prefix-lsa, a change in the
link-lsa due to LA or NU bit change should not make DR to change its
intra-area-prefix-lsa.
After all LA bit is a /128 prefix and belong to the originator, DR
cannot advertise them as its attached prefix

Sina

->
->Thanks,
->Acee
->
->
->Sina Mirtorabi wrote:
->> Mike
->>
->> The text might be a bit confusing when you try to do a
->strict reading
->> ;-)
->> Here is what you would do in general
->>
->> 1) whenever there is a change to a link local prefix or
->global prefix
->> you would re-originate a new link-LSA
->> 2) whenever there is a change to a global prefix you would
->originate a
->> new intra-area-prefix-lsa if either of the
->>    the following is true
->>
->>    2-a) the link type ( I should say interface type connected to the
->> link) is p2p /p2mp
->>    2-b) link type is multi-access and there is no neighbor
->in state FULL
->>    2-c) link type is multi-access and this router is DR for
->that link
->>    2-d) independently of the link type the global prefix
->has a prefix
->> options with LA or NU bit set
->>
->>
->> In other words you would generate a new link-LSA for any
->prefix change
->> on a link, and you would originate a new
->intra-area-prefix-lsa for any
->> change to the global prefix only when you are supposed to announce
->> this link's prefix in an intra-area-prefix-lsa ( 2-a or 2-b
->or 2-c or
->> 2-d)
->>
->> The above means that on a p2p / p2mp link when there is a
->change to a
->> prefix you would both re-originate a new link-lsa and a new
->> intra-area-prefix-lsa however on a multi-access link ( with
->at least
->> one FULL neighbor) a non-DR router would only re-originate its
->> link-lsa. Upon reception of this new link-lsa the DR will
->update its
->> intra-area-prefix-lsa when necessary.
->>
->>
->> Now there could be an optimization when there is no
->neighbor on a link
->> and you could suppress your link-lsa since there is no neighbor on
->> that link.
->>
->> Thanks
->> Sina
->>
->>
->>
->>
->> ->-----Original Message-----
->> ->From: Mailing List [mailto:[email-masked]] On
->Behalf Of
->> ->Mike Fox
->> ->Sent: Thursday, July 17, 2003 7:54 AM
->> ->To: [email-masked]
->> ->Subject: Question on originating intra-area prefix LSA
->> ->
->> ->
->> ->When a prefix is added to or deleted from a p2p or p2mp
->link, when
->> ->is the prefix change supposed to be advertised to the rest of the
->> ->area in an intra-area prefix LSA?  There seems to be a
->hole in the
->> ->RFC.
->> ->
->> -> RFC 2740 says, in 3.4.3:
->> ->
->> -> o    A new prefix is added to an attached link, or a prefix
->> ->is deleted
->> ->      (both through configuration). This causes the router to
->> ->      reoriginate its link-LSA for the link, or, if it is the only
->> ->      router attached to the link, causes the router to
->reoriginate an
->> ->      intra-area-prefix-LSA.
->> ->
->> ->Some observations and questions.
->> ->
->> ->Is it really link LSA *or* intra-area prefix LSA?  I.e.,
->never both?
->> ->
->> ->This paragraph also  implies that on p2p and p2mp links
->with active
->> ->neighbors, no intra-area prefix LSA is sent when prefixes change,
->> ->since the intra-area prefix LSA is only reoriginated when this is
->> ->the ONLY router on
->> ->the link.   The only other way I can see the prefix being
->> ->advertised  for
->> ->p2p and p2mp is that perhaps the neighbor should
->advertise the new
->> ->prefix in an intra-area prefix LSA when it receives the link LSA.
->> ->But the next
->> ->paragraph says:
->> ->
->> ->o     A new link-LSA is received, causing the link's collection of
->> ->      prefixes to change. If the router is Designated
->Router for the
->> ->      link, it originates a new intra-area-prefix-LSA.
->> ->
->> ->Which implies only the DR for a multiaccess link should
->ever send a
->> ->new intra-area prefix LSA upon receiving a link LSA,
->nothing about
->> ->point to point or point to multipoint is mentioned.  Also, if the
->> ->set of prefixes is changed on the designated router, according to
->> ->strict reading of this paragraph then the network's intra-area
->> ->prefix LSA would not get reoriginated since it's on
->receiving (not
->> ->sending) a link LSA that the DR sends the new set.
->> ->
->> ->To me it boils down the phrase "if it is the only router
->attached to
->> ->the link" in the first quoted paragraph above. If that
->phrase were
->> ->replaced with "in all cases except when the link is to a
->broadcast
->> ->or multiaccess network and this router is not the
->designated router"
->> ->then it seems like all the cases would be covered.
->> ->
->> ->What am I missing here?  Am I just reading the text too strictly?
->> ->
->> ->Mike
->> ->--------------------------------------------------------------
->> ->---------
->> ->Enterprise Network Solutions
->> ->--------------------------------------------------------------
->> ->---------
->> ->Research Triangle Park, NC  USA
->> ->
->>
->
->
->--
->Acee
->

---

From: Michael Barnes <[email-masked]>
Date: Sat, 2 Aug 2003 10:42:36 -0700

Sina,

>No, what I meant to say is that intra-area-prefix-lsa will be generated (
>from origintor) irrespectively of the link type because even on
>not advertise them in its intra-area-prefix-lsa, a change in the link-lsa
>due to LA or NU bit change should not make DR to change its
>intra-area-prefix-lsa.
>After all LA bit is a /128 prefix and belong to the originator, DR cannot
>advertise them as its attached prefix

We also to be clear which LSA is referenced by the intra-area prefix LSA.

Regards,
Michael

---

From: Sina Mirtorabi <[email-masked]>
Date: Sat, 2 Aug 2003 21:47:26 -0700

Mike

->>No, what I meant to say is that intra-area-prefix-lsa will
->be generated
->>( from origintor) irrespectively of the link type because even on
->>multi-access with a DR, those LSA are still advertised (by the
->>originator). So I guess the word originator was missing.
->Since DR does
->>not advertise them in its intra-area-prefix-lsa, a change in the
->>link-lsa due to LA or NU bit change should not make DR to change its
->>intra-area-prefix-lsa. After all LA bit is a /128 prefix and
->belong to
->>the originator, DR cannot advertise them as its attached prefix

->We also to be clear which LSA is referenced by the intra-area
->prefix LSA.

Yes, in case of prefixes with LA / NU bit set, the intra-area-prefix-lsa
is always referencing a router LSA

Sina

->
->Regards,
->Michael
->

---

From: Acee Lindem <[email-masked]>
Date: Mon, 4 Aug 2003 09:20:42 -0400

Hi Sina,

> link-lsa due to LA or NU bit change should not make DR to change its

Right. If you strictly follow RFC 2740 and a prefix with the LA/NU bit
is added/deleted to a transit network (i.e., a multi-access network
with one or more adjacent neighbors), it will not result in any changes in
intra-area-prefix-lsa originated by the owner of the address. If the
LA/NU bit is changed for an existing prefix, it will result in
changes to the DR's intra-area-prefix-lsa.

This is where your 2-d below and RFC 2740 seems to differ.

--
Acee

---

From: Sina Mirtorabi <[email-masked]>
Date: Mon, 4 Aug 2003 07:54:01 -0700

Acee

->Right. If you strictly follow RFC 2740 and a prefix with the
->LA/NU bit is added/deleted to a transit network (i.e., a
->multi-access network with one or more adjacent neighbors), it
->will not result in any changes in intra-area-prefix-lsa
->originated by the owner of the address.

Why not ? You add or delete a prefix with LA/NU bit set, the owner of
the prefix should originate a new intra-area-prefix-lsa referencing the
router lsa

->If the LA/NU bit is
->changed for an existing prefix, it will result in changes to
->the DR's intra-area-prefix-lsa.

Don't know what you mean by existing prefix. if the DR receives a new
link-lsa due to a change in a prefix with LA/NU bit then the DR will Not
change any of its intra-area-prefix-lsa (referencing network or router
lsa if any) . however if a prefix with LA/NU bit is added/deleted on the
DR ( prefix configured on DR) , then the DR will announce a new
intra-area-prefix-lsa referencing the router-lsa

->
->This is where your 2-d below and RFC 2740 seems to differ.

The above is what I meant

Sina

->
->> After all LA bit is a /128 prefix and belong to the originator, DR
->> cannot advertise them as its attached prefix
->>
->> Sina
->>
->> ->
->> ->Thanks,
->> ->Acee
->> ->
->> ->
->> ->Sina Mirtorabi wrote:
->> ->> Mike
->> ->>
->> ->> The text might be a bit confusing when you try to do a
->> ->strict reading
->> ->> ;-)
->> ->> Here is what you would do in general
->> ->>
->> ->> 1) whenever there is a change to a link local prefix or
->> ->global prefix
->> ->> you would re-originate a new link-LSA
->> ->> 2) whenever there is a change to a global prefix you would
->> ->originate a
->> ->> new intra-area-prefix-lsa if either of the
->> ->>    the following is true
->> ->>
->> ->>    2-a) the link type ( I should say interface type
->connected to
->> ->> the
->> ->> link) is p2p /p2mp
->> ->>    2-b) link type is multi-access and there is no neighbor
->> ->in state FULL
->> ->>    2-c) link type is multi-access and this router is DR for
->> ->that link
->> ->>    2-d) independently of the link type the global prefix
->> ->has a prefix
->> ->> options with LA or NU bit set
->> ->>
->> ->>
->> ->> In other words you would generate a new link-LSA for any
->> ->prefix change
->> ->> on a link, and you would originate a new
->> ->intra-area-prefix-lsa for any
->> ->> change to the global prefix only when you are supposed
->to announce
->> ->> this link's prefix in an intra-area-prefix-lsa ( 2-a or 2-b
->> ->or 2-c or
->> ->> 2-d)
->> ->>
->> ->> The above means that on a p2p / p2mp link when there is a
->> ->change to a
->> ->> prefix you would both re-originate a new link-lsa and a new
->> ->> intra-area-prefix-lsa however on a multi-access link ( with
->> ->at least
->> ->> one FULL neighbor) a non-DR router would only re-originate its
->> ->> link-lsa. Upon reception of this new link-lsa the DR will
->> ->update its
->> ->> intra-area-prefix-lsa when necessary.
->> ->>
->> ->>
->> ->> Now there could be an optimization when there is no
->> ->neighbor on a link
->> ->> and you could suppress your link-lsa since there is no
->neighbor on
->> ->> that link.
->> ->>
->> ->> Thanks
->> ->> Sina
->> ->>
->> ->>
->> ->>
->> ->>
->> ->> ->-----Original Message-----
->> ->> ->From: Mailing List [mailto:[email-masked]] On
->> ->Behalf Of
->> ->> ->Mike Fox
->> ->> ->Sent: Thursday, July 17, 2003 7:54 AM
->> ->> ->To: [email-masked]
->> ->> ->Subject: Question on originating intra-area prefix LSA
->> ->> ->
->> ->> ->
->> ->> ->When a prefix is added to or deleted from a p2p or p2mp
->> ->link, when
->> ->> ->is the prefix change supposed to be advertised to the rest of
->> ->> ->the area in an intra-area prefix LSA?  There seems to be a
->> ->hole in the
->> ->> ->RFC.
->> ->> ->
->> ->> -> RFC 2740 says, in 3.4.3:
->> ->> ->
->> ->> -> o    A new prefix is added to an attached link, or a prefix
->> ->> ->is deleted
->> ->> ->      (both through configuration). This causes the router to
->> ->> ->      reoriginate its link-LSA for the link, or, if
->it is the only
->> ->> ->      router attached to the link, causes the router to
->> ->reoriginate an
->> ->> ->      intra-area-prefix-LSA.
->> ->> ->
->> ->> ->Some observations and questions.
->> ->> ->
->> ->> ->Is it really link LSA *or* intra-area prefix LSA?  I.e.,
->> ->never both?
->> ->> ->
->> ->> ->This paragraph also  implies that on p2p and p2mp links
->> ->with active
->> ->> ->neighbors, no intra-area prefix LSA is sent when prefixes
->> ->> ->change, since the intra-area prefix LSA is only reoriginated
->> ->> ->when this is the ONLY router on
->> ->> ->the link.   The only other way I can see the prefix being
->> ->> ->advertised  for
->> ->> ->p2p and p2mp is that perhaps the neighbor should
->> ->advertise the new
->> ->> ->prefix in an intra-area prefix LSA when it receives the link
->> ->> ->LSA. But the next paragraph says:
->> ->> ->
->> ->> ->o     A new link-LSA is received, causing the link's
->collection of
->> ->> ->      prefixes to change. If the router is Designated
->> ->Router for the
->> ->> ->      link, it originates a new intra-area-prefix-LSA.
->> ->> ->
->> ->> ->Which implies only the DR for a multiaccess link should
->> ->ever send a
->> ->> ->new intra-area prefix LSA upon receiving a link LSA,
->> ->nothing about
->> ->> ->point to point or point to multipoint is mentioned.  Also, if
->> ->> ->the set of prefixes is changed on the designated router,
->> ->> ->according to strict reading of this paragraph then
->the network's
->> ->> ->intra-area prefix LSA would not get reoriginated since it's on
->> ->receiving (not
->> ->> ->sending) a link LSA that the DR sends the new set.
->> ->> ->
->> ->> ->To me it boils down the phrase "if it is the only router
->> ->attached to
->> ->> ->the link" in the first quoted paragraph above. If that
->> ->phrase were
->> ->> ->replaced with "in all cases except when the link is to a
->> ->broadcast
->> ->> ->or multiaccess network and this router is not the
->> ->designated router"
->> ->> ->then it seems like all the cases would be covered.
->> ->> ->
->> ->> ->What am I missing here?  Am I just reading the text too
->> ->> ->strictly?
->> ->> ->
->> ->> ->Mike
->> ->> ->--------------------------------------------------------------
->> ->> ->---------
->> ->> ->Enterprise Network Solutions
->> ->> ->--------------------------------------------------------------
->> ->> ->---------
->> ->> ->Research Triangle Park, NC  USA
->> ->> ->
->> ->>
->> ->
->> ->
->> ->--
->> ->Acee
->> ->
->>
->
->
->--
->Acee
->

---

From: Acee Lindem <[email-masked]>
Date: Mon, 4 Aug 2003 11:24:05 -0400

Hi Sina,

The way I read RFC 2740, prefixes with the LA/NU set will not be
advertised in an intra-area-prefix-lsa if the interface is connects
to a transit network but will be advertised if it connects to
a non-transit network.

> the prefix should originate a new intra-area-prefix-lsa referencing the

This is directly from 3.4.3.7 in RFC 2740.

    o  Router RTX examines its list of interfaces to the area. If the
       interface is in state Down, its prefixes are not included. If the
       interface has been reported in RTX's router-LSA as a Type 2 link
       description (link to transit network), its prefixes are not
                                                           ~~~~~~~
       included (they will be included in the intra-area-prefix-LSA for
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       the link instead). If the interface type is Point-to-MultiPoint,
       or the interface is in state Loopback, or the interface connects
       to a point-to-point link which has not been assigned a prefix,
       then the site-local and global scope IPv6 addresses associated
       with the interface (if any) are copied into the intra-area-
       prefix-LSA, setting the LA-bit in the PrefixOptions field, and
       setting the PrefixLength to 128 and the Metric to 0.  Otherwise,
       the list of site-local and global prefixes configured in RTX for
       the link are copied into the intra-area-prefix-LSA by specifying
       the PrefixLength, PrefixOptions, and Address Prefix fields. The
       Metric field for each of these prefixes is set to the interface's
       output cost.

> intra-area-prefix-lsa referencing the router-lsa

I believe the DR ignores these.

    o  Each Link-LSA associated with Link L is examined (these are in the
       Designated Router's interface structure for Link L). If the Link-
       LSA's Advertising Router is fully adjacent to the Designated
       Router, the list of prefixes in the Link-LSA is copied into the

Coltun, et al.              Standards Track                    [Page 32]
^L
RFC 2740                     OSPF for IPv6                 December 1999

       intra-area-prefix-LSA that is being built.  Prefixes having the
       NU-bit and/or LA-bit set in their Options field should not be
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       copied, nor should link-local addresses be copied.  Each prefix is
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       described by the PrefixLength, PrefixOptions, and Address Prefix
       fields. Multiple prefixes having the same PrefixLength and Address
       Prefix are considered to be duplicates; in this case their Prefix
       Options fields should be merged by logically OR'ing the fields
       together, and a single resulting prefix should be copied into the
       intra-area-prefix-LSA. The Metric field for all prefixes is set to
       0.

--
Acee

---

From: Sina Mirtorabi <[email-masked]>
Date: Mon, 4 Aug 2003 08:52:08 -0700

Acee

->
->Hi Sina,
->
->The way I read RFC 2740, prefixes with the LA/NU set will not
->be advertised in an intra-area-prefix-lsa if the interface is
->connects to a transit network but will be advertised if it
->connects to a non-transit network.

Not really,
if that is true you can never bring up a VL on a router that has only
multi-access links to the area.  This is because you don't want to
advertise prefix with LA bit in intra-area-prefix-lsa ( referencing
router lsa) which is required for VL

->This is directly from 3.4.3.7 in RFC 2740.
->
->    o  Router RTX examines its list of interfaces to the area. If the
->       interface is in state Down, its prefixes are not
->included. If the
->       interface has been reported in RTX's router-LSA as a
->Type 2 link
->       description (link to transit network), its prefixes are not
->                                                           ~~~~~~~
->       included (they will be included in the
->intra-area-prefix-LSA for the link instead )
->
->~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-

I am afraid that the above quote is generic and does not take into
account prefix with LA bit set ( /128 )

->> Don't know what you mean by existing prefix. if the DR
->receives a new
->> link-lsa due to a change in a prefix with LA/NU bit then
->the DR will
->> Not change any of its intra-area-prefix-lsa (referencing network or
->> router lsa if any) . however if a prefix with LA/NU bit is
->> added/deleted on the DR ( prefix configured on DR) , then
->the DR will
->> announce a new intra-area-prefix-lsa referencing the router-lsa

Acee> I believe the DR ignores these.

Yes this is what I said above, if there is a change to the link-lsa due
to a prefix with LA/NU then DR will Not generate a new
intra-area-prefix-lsa referencing network lsa

However if DR own LA/NU prefix is changed this needs to be updated in a
intra-area-prefix-lsa referencing a router lsa and what you quote below
apply to DR's intra-area-prefix-lsa referencing a network lsa

->
->    o  Each Link-LSA associated with Link L is examined
->(these are in the
->       Designated Router's interface structure for Link L).
->If the Link-
->       LSA's Advertising Router is fully adjacent to the Designated
->       Router, the list of prefixes in the Link-LSA is copied into the

->       intra-area-prefix-LSA that is being built.  Prefixes having the
->       NU-bit and/or LA-bit set in their Options field should not be
->       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
->       copied, nor should link-local addresses be copied.
->Each prefix is
->       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

sina

---

From: Acee Lindem <[email-masked]>
Date: Mon, 4 Aug 2003 12:36:49 -0400

> router lsa) which is required for VL

Now you understand why I said in my original E-mail that RFC 2740 was
wrong and we should change the rule so they are advertised...

    Hi Sina,

I think we're agreeing that prefixes with LA bit should be advertised
in the router intra-area-prefix-LSA independent of whether or not
the interface is connected to a transit network.

--
Acee

---

From: Sina Mirtorabi <[email-masked]>
Date: Mon, 4 Aug 2003 10:05:21 -0700

Acee

->> Not really,
->> if that is true you can never bring up a VL on a router
->that has only
->> multi-access links to the area.  This is because you don't want to
->> advertise prefix with LA bit in intra-area-prefix-lsa ( referencing
->> router lsa) which is required for VL
->
->Now you understand why I said in my original E-mail that RFC
->2740 was wrong and we should change the rule so they are advertised...

I would not say that is wrong ( as it is not stated explicitly that
prefix with LA bit set are not included for multi-access link) but the
way it is stated is confusing and could be misinterpreted.
The problem is that RFC 2740 tried to keep a balance to not state too
much as it could be redundant with RFC 2328, yet state the diffs with
2328. This is causing some confusion in some part of the RFC

->I think we're agreeing that prefixes with LA bit should be
->advertised in the router intra-area-prefix-LSA independent of
->whether or not the interface is connected to a transit network.

Yes

Sina

---

From: Quaizar Vohra <[email-masked]>
Date: Mon, 4 Aug 2003 14:14:31 -0700

Acee,

Sorry for barging in so late into the discussion. I might not
have understood the entire discussion. But it looks to me that
the change you are asking for in the rfc is already mentioned
in the rfc. A later rule from the same section talks about
this.

   o  If RTX has one or more virtual links configured through the area,
      it includes one of its site-local or global scope IPv6 interface
      addresses in the LSA (if it hasn't already), setting the LA-bit in
      the PrefixOptions field, and setting the PrefixLength to 128 and
      the Metric to 0. This information will be used later in the
      routing calculation so that the two ends of the virtual link can
      discover each other's IPv6 addresses.

This rule doesn't mandate that the interface address come from a
non-transit interface. So you might pick it from a transit interface
as well.

Quaizar